-- Initialization
local ammoMagazineSizeMultiplier = settings.startup["ammoMagazineSizeMultiplier"].value
local itemStackSizeMultiplier = settings.startup["itemStackSizeMultiplier"].value
local fastTreeMining = settings.startup["fastTreeMining"].value
local quickStumpRemoval = settings.startup["quickStumpRemoval"].value
local unminableBots = settings.startup["unminableBots"].value
local consbotNoEnergy = settings.startup["consbotNoEnergy"].value


data.raw.recipe["landfill"].result_count = 10

-- Item Stack Sizes
for _, dat in pairs(data.raw) do
    for _, item in pairs(dat) do
        if item.stack_size and type(item.stack_size) == "number" and item.stack_size > 1 then
            item.stack_size = item.stack_size * itemStackSizeMultiplier
        end
    end
end

-- Module Stack Sizes
for _, modul in pairs(data.raw["module"]) do
    modul.stack_size = modul.stack_size * itemStackSizeMultiplier
end

-- Capsule Stack Sizes
for _, capsule in pairs(data.raw["capsule"]) do
	capsule.stack_size = capsule.stack_size * itemStackSizeMultiplier
end

-- Ammo Magazine Sizes
for _, ammo in pairs(data.raw.ammo) do
    if ammo.magazine_size and type(ammo.magazine_size) == "number" and ammo.magazine_size > 1 then
        ammo.magazine_size = ammo.magazine_size * ammoMagazineSizeMultiplier
    end
end

-- Removes stumps promptly
for _, corpse in pairs(data.raw.corpse) do
    if string.match (corpse.name, "stump") and quickStumpRemoval then
        corpse.time_before_removed = 1
    end
end

-- Allows the player to "mine" trees faster.
for _, tree in pairs (data.raw.tree) do
  if fastTreeMining then
    tree.minable.mining_time = 0.1
  end
end

-- Removes the ability to collect Logistic Robots manually
for _, robot in pairs(data.raw["logistic-robot"]) do
  if unminableBots then
    robot.minable = nil
  end
end

-- Removes energy-needs for construction robots
for _, consbot in pairs(data.raw["construction-robot"]) do
    if string.match (consbot.name, "robot") and consbotNoEnergy then 
        consbot.energy_per_tick = "0MJ"
        consbot.energy_per_move = "0MJ"
        consbot.max_energy = "1MJ"
    end
end